Disputes
Accept a Dispute
Accept a Dispute using Razorpay Disputes API.
POST
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to accept a dispute charge, indicating that you do not wish to contest the dispute, acknowledging it as lost.
- The dispute status will change from
opentolost. - Accepting a dispute is irreversible.
Path Parameters
string
required
The unique identifier of the dispute.
Response Parameters
string
The unique identifier of the dispute generated by Razorpay. For example,
disp_AHfqOvkldwsbqt.string
Indicates the type of entity. In this case, it is
dispute.string
The unique identifier of the payment against which the dispute was created. For example,
pay_EsyWjHrfzb59eR.integer
Amount, in currency subunits, for which the dispute was created.
string
3-letter ISO currency code associated with the amount. Check the list of supported currencies.
integer
The amount, in currency subunits, deducted from your Razorpay current balance when the dispute is
lost. This amount will be 0 unless the status of dispute is updated to lost. Know about the different states of disputes.string
Code associated with the reason for the dispute.
string
A brief description of the reason for dispute.
integer
Unix timestamp by which a response should be sent to the customer.
string
The status of the dispute. Possible statuses are:
open: Indicates that the dispute has been created.under_review: Indicates that the issuing bank is reviewing the dispute.won: Indicates that the bank has accepted the remedial documents, and you have won the chargeback.lost: Indicates that the bank did not accept the remedial documents, and you have lost the chargeback.closed: Indicates that the fraudulent transaction was closed after you provided either the transaction details or made a refund to the customer.
string
Phase associated with the dispute. Possible phases are:
fraud: A dispute raised by the bank when it suspects a transaction to be fraudulent based on the risk analysis.retrieval: A request initiated by the customer with their issuer bank for additional information about a transaction.chargeback: A refund claim initiated by the customers with their issuer banks. In such cases, the bank starts an official inquiry.pre_arbitration: A chargeback that you have won is challenged by the customer for the second time.arbitration: A chargeback that you have won is challenged for a third time by the customer and the card networks directly getting involved.
integer
Unix timestamp when the dispute was created.
object
Provides details of the evidence submitted/saved for contesting a dispute. Use the Documents API to securely share documents with Razorpay.
integer
The contested amount in currency subunits, for which evidence is provided. The value can vary from
0 to the dispute amount. The default value is the dispute amount.string
The explanation provided by you for contesting the dispute. It can have a maximum length of 1000 characters.
list
List of document ids which serves as proof that the product was shipped to the customer at their provided address. It should show their complete shipping address, if possible.
list
List of document ids which serves as proof of order confirmation, such as a receipt.
list
List of document ids that serves as proof that this product/service was cancelled.
list
List of document ids listing any written/email communication from the customer confirming that the customer received the product/service or is satisfied with the product/service.
list
List of document ids showing proof of service provided to the customer.
list
(List of document ids) Any letter(s) from you specifying information pertinent to the dispute/payment that needs to be considered for processing the dispute.
list
List of document ids showing proof that the refund had been provided to the customer.
list
List of document ids of any server or activity logs which prove that the customer accessed or downloaded the purchased digital product.
list
List of document ids listing your refund and/or cancellation policy, as shown to the customer.
list
List of document ids listing your sales terms and conditions, as shown to the customer.
list
Specifies the evidence documents to be uploaded as a part of contesting a dispute. It is a list of tuples consisting of the following:
string
Describes the custom type of evidence document(s) provided.
list
List of document ids corresponding to the customer evidence type.
Example
integer
Unix timestamp when the dispute was last submitted by you (for review) to Razorpay. The default value is
null.Errors
The id provided does not exist.
The id provided does not exist.
Code:
400- A wrong prefix is used.
- The dispute id does not exist or does not belong to the requestor.
- The dispute id must start with
disp_. - Use a valid dispute id that belongs to the requestor.
_id is not a valid id.
_id is not a valid id.
Code:
400- The id is not 14 characters long.
- The id is not alphanumeric.
invalid_proof_type is/are not required and should not be sent.
invalid_proof_type is/are not required and should not be sent.
Code:
400Incorrect parameters are passed in the request body.Solution: No parameter is required in the request body.Action not allowed as deadline to respond has elapsed.
Action not allowed as deadline to respond has elapsed.
Code:
400The deadline to respond for a dispute has elapsed.Solution: You can only respond to a dispute within the deadline.Action not allowed when dispute is in lost status.
Action not allowed when dispute is in lost status.
Code:
400This error occurs when you try to perform an action on a dispute with lost status.Solution: You cannot perform any action on a dispute with lost status.Action not allowed when dispute is in won status.
Action not allowed when dispute is in won status.
Code:
400This error occurs when you try to perform an action on a dispute with won status.Solution: You cannot perform any action on a dispute with won status.Action not allowed when dispute is in closed status.
Action not allowed when dispute is in closed status.
Code:
400This error occurs when you try to perform an action on a closed dispute.Solution: You cannot perform any action on a closed dispute.Action not allowed when dispute is in under_review status.
Action not allowed when dispute is in under_review status.
Code:
400This error occurs when you try to perform an action on a dispute under review.Solution: You cannot perform any action on a dispute under review.